Update ItemAttributeValueTranslation
Update the properties of a ItemAttributeValueTranslation object for Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH {businesscentralPrefix}/companies({id})/itemAttrValueTranslationsWebCon({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
| If-Match | Required. When this request header is included and the eTag provided does not match the current tag on the item attribute value translation, the customers will not be updated. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Response
If successful, this method returns a 200 OK response code and an updated ItemAttributeValueTranslation object in the response body.
Example
Request
Here is an example of the request.
PATCH https://{businesscentralPrefix}/companies({id})/itemAttrValueTranslationsWebCon({id})
Content-type: application/json
{
"languageCode": "ENU",
"name": "Rose"
}
Response
Here is an example of the reponse.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "7daf1d9b-b136-ee11-a0d1-dd36724440b5",
"languageCode": "ENU",
"name": "Rose"
}
See also
Tips for working with the APIs
ItemAttributeValueTranslation
Get ItemAttributeValueTranslation
Delete ItemAttributeValueTranslation
Create ItemAttributeValueTranslation